<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateComplaintTitlesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('complaint_titles', function (Blueprint $table) {
            $table->uuid('id')->primary();
            $table->enum('user_type',['user','driver','owner']);
            $table->string('complaint_type')->default('dispute');
            $table->text('title');
            $table->boolean('active')->default(true);
            
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('complaint_titles');
    }
}
